Subject: Re: bug#34423: gnome-shell-extensions and glib

From: Ludovic Courtès <[email-masked]>
Date: Tue, 12 Feb 2019 15:22:10 +0100

Hello,

Brett Gilio <[email-masked]> skribis:

> Hi all, when I try to install gnome-shell-extensions it is throwing this
> issue
>
> brettg@guixsd ~$ guix package -i gnome-shell-extensions
> The following package will be installed:
>    gnome-shell-extensions	3.24.3	/gnu/store/bfw4wp2lm68s3gdhhbic0kr2rfzcab07-gnome-shell-extensions-3.24.3
>
> guix package: error: profile contains conflicting entries for glib
> guix package: error:   first entry: [email-masked] /gnu/store/lly2sqknlw8h59bfffpgh836r38ffsdc-glib-2.56.3
> guix package: error:    ... propagated from [email-masked]
> guix package: error:   second entry: [email-masked] /gnu/store/qc5b998gnhb5p8lc9mf0knr1nyc648k9-glib-2.56.2
> guix package: error:    ... propagated from [email-masked]
> guix package: error:    ... propagated from [email-masked]
> guix package: error:    ... propagated from [email-masked]
> hint: Try upgrading both `gnome-shell-extensions' and `guile-gnome', or remove
> one of them from the profile.
>
>
>
>
>
> The strangeness of the issue is not only that glib seems to be
> referencing two different versions, but I don't even have guile-gnome
> installed for there to be a "conflict".

The message above suggests you do have ‘guile-gnome’ in this profile.
What does “guix package -I gnome” report?

Thanks,
Ludo’.